# -*- coding: utf-8 -*-
# This file is part of the diagram-module from m-ds for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

from trytond.pool import Pool
from .chart import Chart
from .point import ChartPoint
from .graphs import GraphDef
from .chart_wizard import OpenChartWizard
from .point_context import GraphContext
from .currency import Currency
from .ir import Rule


def register():
    Pool.register(
        Chart,
        GraphDef,
        ChartPoint,
        GraphContext,
        Currency,
        Rule,
        module='diagram', type_='model')
    Pool.register(
        OpenChartWizard,
        module='diagram', type_='wizard')
